<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>

    */
    window.addEventListener("load", function () {
      var newToDo = document.getElementById('newToDo');
      var addToDo = document.getElementById('AddToDo');
      var toDoList = document.getElementById('toDoList');
      addToDo.addEventListener('click', function() {
        var listItem = document.createElement('li');
        listItem.className = 'listItem';
        var doneCheckBox = document.createElement('input');
        doneCheckBox.setAttribute('type', 'checkbox');
        doneCheckBox.className = 'DoneCheckbox';
        doneCheckBox.addEventListener('click', function(e) {
          if (e.target.checked === true) {
            toDoText.classList.add('done');
          }
          else {
            toDoText.classList.remove('done');
          }
          console.log(e.target.checked);
        })
        listItem.appendChild(doneCheckBox);
        var toDoText = document.createElement('span');
        toDoText.className = 'TodoText';
        toDoText.innerText = newToDo.value;
        listItem.appendChild(toDoText);
        var button = document.createElement('button');
        button.addEventListener('click', function(e) {
          console.log(e.target.parentElement);
          e.target.parentElement.remove();
        })
        button.innerText = 'Remove';
        listItem.appendChild(button);
        toDoList.appendChild(listItem);
      })



    });
  </script>
</head>
<body>
    <header>
      <input id="newToDo" class="textInput"/>
      <input id="AddToDo" class="addButton" type="button" value="Add"/>
    </header>
    <ul id="toDoList">

    </ul>

  <style>
    .done{
      text-decoration: line-through;
    }
    .textInput{
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .addButton{
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText{
      margin-right: 5px;
    }

    button{
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>
</html>
